Edje Audio

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Edje Audio
Edje

Functions to manipulate audio abilities in edje. More...

## Typedefs
typedef enum _Edje_Channel | Edje_Channel
| Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group.

## Enumerations
enum | _Edje_Channel { EDJE_CHANNEL_EFFECT = 0 , EDJE_CHANNEL_BACKGROUND = 1 , EDJE_CHANNEL_MUSIC = 2 , EDJE_CHANNEL_FOREGROUND = 3 , EDJE_CHANNEL_INTERFACE = 4 , EDJE_CHANNEL_INPUT = 5 , EDJE_CHANNEL_ALERT = 6 , EDJE_CHANNEL_ALL = 7 }
| Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group. More...

## Functions
void | edje_audio_channel_mute_set (Edje_Channel channel, Eina_Bool mute)
| Sets the mute state of audio for the process as a whole.
Eina_Bool | edje_audio_channel_mute_get (Edje_Channel channel)
| Gets the mute state of the given channel.

## Detailed Description

Functions to manipulate audio abilities in edje.

## Typedef Documentation

## ◆ Edje_Channel

typedef enum _Edje_Channel Edje_Channel

Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group.

See also
  edje_audio_channel_mute_set()
  edje_audio_channel_mute_get()

Since
  1.9

## Enumeration Type Documentation

## ◆ _Edje_Channel

enum _Edje_Channel

Identifiers of Edje message types, which can be sent back and forth code and a given Edje object's theme file/group.

See also
  edje_audio_channel_mute_set()
  edje_audio_channel_mute_get()

Since
  1.9

Enumerator
EDJE_CHANNEL_EFFECT | Standard audio effects.
EDJE_CHANNEL_BACKGROUND | Background audio sounds
EDJE_CHANNEL_MUSIC | Music audio.
EDJE_CHANNEL_FOREGROUND | Foreground audio sounds.
EDJE_CHANNEL_INTERFACE | Sounds related to the interface.
EDJE_CHANNEL_INPUT | Sounds related to regular input.
EDJE_CHANNEL_ALERT | Sounds for major alerts.
EDJE_CHANNEL_ALL | All audio channels (convenience)

## Function Documentation

## ◆ edje_audio_channel_mute_set()

void edje_audio_channel_mute_set | ( | Edje_Channel | channel,
|  | Eina_Bool | mute
| ) |  |

Sets the mute state of audio for the process as a whole.

Parameters

  channel | The channel to set the mute state of
  mute | The mute state

This sets the mute (no output) state of audio for the given channel.

See also
  edje_audio_channel_mute_get()

Since
  1.9

Referenced by elm_config_audio_mute_set().

## ◆ edje_audio_channel_mute_get()

Eina_Bool edje_audio_channel_mute_get | ( | Edje_Channel | channel | ) |

Gets the mute state of the given channel.

Parameters

  channel | The channel to get the mute state of

Returns
  The mute state of the channel

See also
  edje_audio_channel_mute_set()

Since
  1.9

References EINA_FALSE, and EINA_TRUE.